#include "..\script_component.hpp"

/*
 * Function: forge_client_init_fnc_playerDBLoad
 * Author: IDSolutions
 *
 * [Description]
 * Load player from DB.
 *
 * Arguments:
 * N/A
 *
 * Return Value:
 * N/A
 *
 * Examples:
 * [] call forge_client_init_fnc_playerDBLoad (Server or Singleplayer Only)
 * [] remoteExecCall ["forge_client_init_fnc_playerDBLoad", 2, false] (Multiplayer Only)
 *
 * Public: Yes
 */

// ["hgetall", "", "", -1, [], "forge_client_init_fnc_handlePlayerLoad", true] spawn dragonfly_db_fnc_addTask;
["hgetallid", getPlayerUID player, "", -1, [], "forge_client_init_fnc_handlePlayerLoad", true, netId player] remoteExec ["dragonfly_db_fnc_addTask", 2, false];