#include "..\script_component.hpp"

/*
 * Function: forge_client_bank_fnc_submit
 * Author: IDSolutions
 *
 * [Description]
 * Submits the timesheet
 *
 * Arguments:
 * None
 *
 * Return Value:
 * None
 *
 * Examples:
 * None
 *
 * Public: Yes
 */

private _bank = GETVAR(player,FORGE_Bank,0);
private _payMultiplyer = "MULTIPLYR" call BFUNC(getParamValue);
private _plyscore = rating player;
private _multiplyer = _plyscore * _payMultiplyer;

_bank = _bank + _multiplyer;

player addRating - _plyscore;
SETPVAR(player,FORGE_Bank,_bank);
SETPVAR(player,FORGE_Rating,0);

[] call FUNC(refresh);

private _formattedRating = _bank call EFUNC(misc,formatNumber);

[format ["Timesheet submitted! Received $%1 based on rating of %2", _formattedRating, _plyscore], "info", 3, "right"] call EFUNC(misc,notify);