class RscLockerDialog {
    idd = IDD_LOCKERDIALOG;
    movingEnable = 1;
    enableSimulation = 1;

    class controlsBackground {
        class MainBackground: RscText {
            idc = -1;
            x = "0.25 * safezoneW + safezoneX";
            y = "0.125 * safezoneH + safezoneY";
            w = "0.5 * safezoneW";
            h = "0.725 * safezoneH";
            colorBackground[] = {0, 0, 0, 0.7};
        };
        class DialogTitle: RscText {
            idc = IDC_DIALOGNAME;
            text = CSTRING(Name);
            x = "0.25 * safezoneW + safezoneX";
            y = "0.125 * safezoneH + safezoneY";
            w = "0.5 * safezoneW";
            h = "0.0325 * safezoneH";
            colorBackground[] = {0.1, 0.1, 0.1, 1};
        };
    };
    
    class controls {
        class PlayerEquipmentList: RscListBox {
            idc = IDC_PLAYEREQUIPMENTLIST;
            x = "0.26 * safezoneW + safezoneX";
            y = "0.17 * safezoneH + safezoneY";
            w = "0.23 * safezoneW";
            h = "0.615 * safezoneH";
        };
        
        class LockerItemsList: RscListBox {
            idc = IDC_LOCKEREQUIPMENTLIST;
            x = "0.51 * safezoneW + safezoneX";
            y = "0.17 * safezoneH + safezoneY";
            w = "0.23 * safezoneW";
            h = "0.615 * safezoneH";
        };
        
        class StoreButton: RscButton {
            idc = IDC_STOREBUTTON;
            text = CSTRING(Store);
            x = "0.26 * safezoneW + safezoneX";
            y = "0.80625 * safezoneH + safezoneY";
            w = "0.23 * safezoneW";
            h = "0.0325 * safezoneH";
            onButtonClick = "_this call forge_client_locker_fnc_storeGear";
        };
        
        class EquipButton: RscButton {
            idc = IDC_EQUIPBUTTON;
            text = CSTRING(Equip);
            x = "0.51 * safezoneW + safezoneX";
            y = "0.80625 * safezoneH + safezoneY";
            w = "0.23 * safezoneW";
            h = "0.0325 * safezoneH";
            onButtonClick = "_this call forge_client_locker_fnc_equipGear";
        };

        class CloseButton: RscButton {
            idc = IDC_CLOSEBUTTON;
            text = "X";
            x = "0.7225 * safezoneW + safezoneX";
            y = "0.125 * safezoneH + safezoneY";
            w = "0.0275 * safezoneW";
            h = "0.0325 * safezoneH";
            onButtonClick = "closeDialog 0";
        };
    };
};
